Index: tests/regression/Options/ElementsDb/testsuite-options-elements-db.at
===================================================================
--- tests/regression/Options/ElementsDb/testsuite-options-elements-db.at	(revision e611dcada623ad28011aa5d0079a58228b4f54e8)
+++ tests/regression/Options/ElementsDb/testsuite-options-elements-db.at	(revision 220cf64c6ebf68c0e5bed116415d5287df404a6a)
@@ -4,4 +4,26 @@
 AT_KEYWORDS([options element-db])
 
+file=test.conf
+AT_DATA([elements.db], [[#  Covalent  radius  of  each  element in  Angstroem from  CSD (binding  is: [Rcov(A)+Rcov(B)-t,Rcov(A)+Rcov(B)+t] with  t = 0.4A
+#Element  Name  Symbol  Period  Group Block Atomic  Number  AtomicWeight  Covalent  Radius  vdW Radius
+Hydrogen  H 1 1 s 1 1. 0.23  1.09
+Helium  He  1 18  p 2 4. 1.5 1.4
+]])
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Options/ElementsDb/pre/test.conf $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
+AT_CHECK([../../molecuilder -i test.conf -e ./], 0, [stdout], [stderr])
+AT_CHECK([grep -E "Using.*as elements database." stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Element list loaded successfully." stdout], 0, [ignore], [ignore])
+AT_CHECK([fgrep "Something went wrong while parsing the other databases!" stderr], 0, [ignore], [ignore])
+AT_CHECK([grep "Ion_Type1.*1.000" test.conf], 0, [ignore], [ignore])
+AT_CHECK([grep "Ion_Type1.*1.008" test.conf], 1, [ignore], [ignore])
+
+AT_CLEANUP
+
+
+AT_SETUP([Standard Options - element database with Undo])
+AT_KEYWORDS([options element-db undo])
+
+file=test.conf
 AT_DATA([elements.db], [[#  Covalent  radius  of  each  element in  Angstroem from  CSD (binding  is: [Rcov(A)+Rcov(B)-t,Rcov(A)+Rcov(B)+t] with  t = 0.4A
 #Element  Name  Symbol  Period  Group Block Atomic  Number  AtomicWeight  Covalent  Radius  vdW Radius
@@ -9,25 +31,12 @@
 Helium  He  1 18  p 2 4.003 1.5 1.4
 ]])
-AT_CHECK([../../molecuilder -i test.conf -e ./], 0, [stdout], [stderr])
-AT_CHECK([grep -E "Using.*as elements database." stdout], 0, [ignore], [ignore])
-AT_CHECK([fgrep "Element list loaded successfully." stdout], 0, [ignore], [ignore])
-AT_CHECK([fgrep "Something went wrong while parsing the other databases!" stderr], 0, [ignore], [ignore])
-
-AT_CLEANUP
-
-
-AT_SETUP([Standard Options - element database with Undo])
-AT_XFAIL_IF([/bin/true])
-AT_KEYWORDS([options element-db undo])
-
-AT_DATA([elements.db], [[#  Covalent  radius  of  each  element in  Angstroem from  CSD (binding  is: [Rcov(A)+Rcov(B)-t,Rcov(A)+Rcov(B)+t] with  t = 0.4A
-#Element  Name  Symbol  Period  Group Block Atomic  Number  AtomicWeight  Covalent  Radius  vdW Radius
-Hydrogen  H 1 1 s 1 1.008 0.23  1.09
-Helium  He  1 18  p 2 4.003 1.5 1.4
-]])
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Options/ElementsDb/pre/test.conf $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i test.conf -e ./ --undo], 0, [stdout], [stderr])
 AT_CHECK([grep -E "Using.*as elements database." stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Element list loaded successfully." stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Something went wrong while parsing the other databases!" stderr], 0, [ignore], [ignore])
+AT_CHECK([grep "Ion_Type1.*1.000" test.conf], 1, [ignore], [ignore])
+AT_CHECK([grep "Ion_Type1.*1.008" test.conf], 0, [ignore], [ignore])
 
 AT_CLEANUP
@@ -35,16 +44,20 @@
 
 AT_SETUP([Standard Options - element database with Redo])
-AT_XFAIL_IF([/bin/true])
 AT_KEYWORDS([options element-db redo])
 
+file=test.conf
 AT_DATA([elements.db], [[#  Covalent  radius  of  each  element in  Angstroem from  CSD (binding  is: [Rcov(A)+Rcov(B)-t,Rcov(A)+Rcov(B)+t] with  t = 0.4A
 #Element  Name  Symbol  Period  Group Block Atomic  Number  AtomicWeight  Covalent  Radius  vdW Radius
-Hydrogen  H 1 1 s 1 1.008 0.23  1.09
+Hydrogen  H 1 1 s 1 1.000 0.23  1.09
 Helium  He  1 18  p 2 4.003 1.5 1.4
 ]])
+AT_CHECK([cp -f ${abs_top_srcdir}/tests/regression/Options/ElementsDb/pre/test.conf $file], 0, [ignore], [ignore])
+AT_CHECK([chmod u+w $file], 0, [ignore], [ignore])
 AT_CHECK([../../molecuilder -i test.conf -e ./ --undo --redo], 0, [stdout], [stderr])
 AT_CHECK([grep -E "Using.*as elements database." stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Element list loaded successfully." stdout], 0, [ignore], [ignore])
 AT_CHECK([fgrep "Something went wrong while parsing the other databases!" stderr], 0, [ignore], [ignore])
+AT_CHECK([grep "Ion_Type1.*1.000" test.conf], 0, [ignore], [ignore])
+AT_CHECK([grep "Ion_Type1.*1.008" test.conf], 1, [ignore], [ignore])
 
 AT_CLEANUP
